## Bibliography

- Bridle, J. (2016). _welcome.js. GitHub._ [online] Available at: https://github.com/stml/welcomejs
- Bridle, J. (2016). _welcome.js | booktwo.org._ [online] Available at: http://booktwo.org/notebook/welcome-js/
- Donald Ervin Knuth (1992). _Literate programming._ Stanford, Calif.: Center For The Study Of Language And Information.
- Ehmke, C. A. (2018). _The Post-Meritocracy Manifesto_ [online] Available at: https://postmeritocracy.org/
- Fisher, M. (2013). _Suffering With a Smile._ [online] Available at: https://theoccupiedtimes.org/?p=11586
- Fuller, M., ed. (2008). _Software studies a lexicon._ Cambridge, Massachusetts Mit Press.
- Gabriel, R.P. (1998). _Patterns of Software._ Oxford University Press, USA.
- GNU (n.d.). _GNU gettext utilities._ [online] Available at: https://www.gnu.org/software/gettext/manual/gettext.html.
- Howell, B. (2016). _The Screenless Office._ [online] Available at: http://screenl.es/
- Howell, B. (2016). _the-screenless-office GitLab._ [online] Available at: https://gitlab.com/bhowell/the-screenless-office
- Karagianni, M. (2022). _Read The Feminist Manual._ Athens, Greece: Psaroskala Zines.
- Karagianni, M. et al (2023). _Feminists Federating._ Toward a Minor Tech - A peer reviewed Newspaper vol 12
- Kuksenok, K. (2023). _Sharing Programming Knowledge_ [workshop]. Rotterdam: Varia / Available & The Rat
- Hanlon, J. (2018). _Stack Overflow Isn’t Very Welcoming. It’s Time for That to Change._ [online] Stack Overflow Blog. Available at: https://stackoverflow.blog/2018/04/26/stack-overflow-isnt-very-welcoming-its-time-for-that-to-change/.
- Heaton, R. (2019). _Programming Projects for Advanced Beginners #6: User Logins._ [online] Available at: https://robertheaton.com/2019/08/12/programming-projects-for-advanced-beginners-user-logins/
- Marino, M.C. (2020). _Critical code studies._ Editorial: Cambridge, Massachusetts: The Mit Press.
- Meta Stack Exchange. (2009). _Should ‘Hi’, ‘thanks’, taglines, and salutations be removed from posts?_ [online] Available at: https://meta.stackexchange.com/a/93989
- nand2tetris. (2017). _nand2tetris._ [online] Available at: https://www.nand2tetris.org/.
- Norman Wilson, A. (2011). _Workers Leaving the Googleplex._ [online] Available at: http://www.andrewnormanwilson.com/WorkersGoogleplex.html
- p5js.org. (2019). _p5.js._ [online] Available at: https://p5js.org/.
- p5js.org. (2015). _Debugging | p5.js._ [online] Available at: https://p5js.org/learn/debugging.html
- processing/p5.js (2021). _require describe() function in p5 sketches? · Issue #5427 · processing/p5.js._ [online] Available at: https://github.com/processing/p5.js/issues/5427 [Accessed 10 Apr. 2023].
- Procida, D. (2017). _Diátaxis._ [online] Available at: https://diataxis.fr/.
- Queer Service team (2021). _Queer Motto API · GitLab._ [online] Available at: https://gitlab.com/siusoon/queer-motto-api
- readthefuckingmanual.com. (n.d.). _Read the Fucking Manual._ [online] Available at: http://readthefuckingmanual.com/
- Ullman, E. (2017). _Life in code : a personal history of technology._ New York: Mcd, Farrar, Straus And Giroux.
- Ullman, E. (1997). _Close to the machine : technophilia and its discontents._ London: Pushkin Press.
- Shirky, C. (2004). _Situated Software_. [online] Available at: https://gwern.net/doc/technology/2004-03-30-shirky-situatedsoftware.html
- Snelting, F. et al (2022). _A Wishlist for Trans\*femminist Servers._ [online] Available at: https://etherpad.mur.at/p/tfs
- Soon, W. and Geoff Cox (2020). _Aesthetic programming : a handbook of software studies._ London: Open Humanities Press.
- vuejs.org. (2021). _Lifecycle Hooks | Vue.js._ [online] Available at: https://vuejs.org/guide/essentials/lifecycle.html
- XPUB (2022). _Learning How to Walk while Catwalking._ [online] Available at: https://issue.xpub.nl/16/
- XPUB (2022). _the-screenless-office. XPUB GIt._ [online] Available at: https://git.xpub.nl/kamo/the-screenless-office


## List of figures

1. Code documentation flows, with a roster and a barn owl.
2. Linux Kernel Map. source: [makelinux.github.io/kernel/map](https://makelinux.github.io/kernel/map/)
3. Detail of Linux Kernel mapped into the [four stages of simulation meme template](https://knowyourmeme.com/photos/2445322-four-stages-of-simulation)
4. The wolf, goat and cabbage problem applied to coding.
5. A provocative post with slightly austrian accent on Mastodon. Thanks Naami for the screenshot.
6. Message in console printed by Facebook to stop users. source: [booktwo.org](https://booktwo.org)
7. Message in console printed by Bridle to welcome users. source: [booktwo.org](https://booktwo.org)
8. Frustrated developer apparently busy with technical writing. Thanks Cristina for the screenshot.
9. Diagram of a Vue instance lifecycle, illustrating the different entry points of the template design pattern. source: [vuejs.org](https://vuejs.org/guide/essentials/lifecycle.html)
10. Lifecycle and ecosystem of Padliography: a wiki-powered link bookmarking system.
11. Diagram of the Diataxis framework. Rework of the original one found at [diataxis.fr](https://diataxis.fr/)
12. Response from the Queer Motto API with refusal message. source: [gitlab.com/siusoon/queer-motto-api](https://gitlab.com/siusoon/queer-motto-api)
13. Alt-text as poetry workbook, and relative image tag with alt description. source: [bombmagazine.org](https://bombmagazine.org/articles/bojana-coklyat-and-shannon-finnegan-interviewed/)
14. Examples from p5.js documentation. source: [p5js.org](https://p5js.org/)
15. Soupboat, the server of our XPUB group. With 3d printed legs to run faster."
16. Menu printed by the Inhuman Resources bureau using the docstrings from the other offices. source: [4-4-2022 Workshop with Brendan Howell at XPUB](https://media.xpub.nl/2022/2022-04-04-brendan.mp4)
17. Soupboat server. Jupyter Notebook of the repeat function. On the left panel the filesystem with the other function files.
18. Documentation generated from the Notebook files for the Repeat function. source: [issue.xpub.nl/16](https://issue.xpub.nl/16/)
19. Documentation generated from the Notebook files for the Repeat function. source: [issue.xpub.nl/16](https://issue.xpub.nl/16/)

## License

km0, sumo, tofu, maya et all the other aliases. _Hello Worlding : Code documentation as entry point / backdoor to programming practices_. 14/04/2023
Copyleft with a difference: This is a collective work, you are invited to copy, distribute, and modify it under the terms of the [CC4r](https://constantvzw.org/wefts/cc4r.en.html).
