## 3. Outro

Documenting code is a rich and diverse practice, with a variety of forms and formats suited to specific occasions and needs. These different publishing surfaces are still affected by several problems, such as a general unappealing and unwelcoming tone, dense and gendered language, and a massive amount of energy, resources and time required for maintenance. These critical aspects highlight how problematic the supposed "nature" of code documentation is. A nature that instead of creating entry points, essentially gatekeeps access to programming knowledge.

There is another way in, however. Because of its proximity to the code and its ongoing relationships with programmers, code documentation can be a backdoor into communities gathered around coding, opening up more entry points from within. Code documentation can be used to orient software in the world, operating at different scales and in several ways, working with both technical and social frameworks. It can retrace genealogies to activate exhausted technical terms. It can influence technical implementations by representing the needs of marginalised minorities. It can be a moment of collective learning, challenging traditional reproduction of knowledge, and creating safe spaces for anyone to participate to code.

I started this research for of two reasons: the first is that I love programming. Learning how to code is like learning another language: not just a new bag of words and a different grammar, but a whole new way of thinking, a lens through which to look at the world. Coding means to express ideas with the reduced vocabulary of a programming language. As in poetry, these constraints stimulate creativity, and encourage a diligent yet playful approach. Working with different programming languages and on different systems transforms thinking in multivarious ways, and that is extremely exciting.

The second reason is that I want to share this excitement with others, especially with my friends. To be able to think and make sense together of what's happening around us, and come up with alternatives or responses or tools that suit us better. Because of the steep learning curve of programming and the other barriers mentioned in the thesis, this has often not been possible. But now we know that there are other ways in, and that it is possible to open up even more.
