# Worlding and Software

![Two frogmouth on a branch and a prov title](cover.jpg)

How do you choose to learn a particular programming language, a coding style, a development environment and ecosystem, an infrastructure where to run the code, and so on?

These are **not just technical choices**, but rather coding contingencies.

These contingencies are situated in precise economical, cultural, creative, political, and technical contexts. Programming then is not just sharing code, but sharing context. It's providing a perspective to look at the world before attempting to get some grip onto it with a script.

## Enter documentation

Could software documentation:

0. be a mean to explore these contingencies?
1. be an ideal surface to build worlds?
2. be an interface between different knowledges?
3. be a device to trigger different kinds of economy around situated software?


# Outline

## 0. Intro - Coding contingencies
_750_

## 1. Who is reading?
_2000_

The first chapter focuses on code documentation as publishing surface. Who is welcome, who is addressed, and who is left out.

Documentation brings an understanding on software by disclosing its magic. It reveals what can be done with it, and where are the limits. By lowering barriers and creating entry points, documentation broadens participation. By reaching not just beginners, but experienced programmers as well, it affects thinking about software continuously, and from different perspectives.

__Sections:__   

1. Getting started
2. Code companion
3. Welcoming writing
4. Natural readers

## 2. Who is writing?
_2000_

The second part explores documentation as a crossroads, where different knowledges meet in the making of software.

Documentation is a space that interfaces between the code, the user, the developer, and the world. A space where to welcome different voices: not just engineers, not just experts, not just dudes. A space to acknowledge the massive labor of care besides technicalities, often marginalized by coding culture.

__Sections:__

A section that focuses on who is writing the software, but not just the code. From software as inherently collaborative practice to the post-meritocratic manifesto.

A section about who is writing documentation, and how. Different strategies to approach it, from different knowledges. `wip`

## 3. Hello Worlding 
_2000_

The third section is focused on worlding, and the relation between code, documentation practices and political aesthetic.

Here documentation is seen as a surface that could host principles in close contact with algorithms, letting them entangle and shape each other. A way to orientate our instruments towards "non-extractive relationships, but in the meantime, being accountable for the ones they are complicit with." (A Wishlist for Trans\*feminist Servers, 2022)

__Sections:__  

A first part of theoretical examples of technology and worlding: Trans\*feminist Servers, Zach Blas, Tiger Ding Sun, James Bridle, Soon and Geox, Richard Gabriel.

A second part of case studies. The soupboat. Avantwhatever.net. Queer Motto API. The Screenless Office. The uxn ecosystem. `list wip`

## 4. Outro
_750_
