# Materials

Here a collection of excerpts that could be useful at some point.

## Documentation, from Early History of COBOL

Dumentation was handled fairly informally, in the sense that there were no requirements in the early development for what could or should be documented. In particular, there was no record kept of the reasons behind certain decisions, except insofar as individuals might have these in their hand notes.

At the September 17, 1959, meeting there was a considerable discussion as to what the first public description should have as its objective.
Even at that time there was a considerable discussion of the difference between the language manual issued in the name of CODASYL and the individual manuals that would be
issued by each manufacturer.

(The Early History of COBOL, Jean E. Sammet)

## Intended Purpose & Users, from Early History of COBOL

It was certainly intended (and expected) that the language could be used by novice programmers and read by the management. We felt the readability by management could and would be achieved because of the intended use of English, which was a fundamental conclusion from the May 1959 Pentagon meeting.

Surprisingly, although we wanted the language to be easy to use, particularly for nonprofessional programmers, we did not really give much thought to ensuring that the language Would be easy to learn; most of our concentration was on making it "easy to read" although we never provided any criteria or tests for readability.

COBOL was intended for use only in the United States, even though experience from Grace Hopper's group had shown that the transliteration into another natural language at this level was trivial. I believe that subsequently other countries (e.g., Germany, Japan, Netherlands, and Sweden - but not France) have used COBOL with English key words but their own data names.

What this does to their readability is left to the imagination!

## Pressure for COBOL everywhere from the Dep of Def

do you think
C O B O L would have survived without the pressure applied by the Department o f Defense
in requiring C O B O L on all m a c h i n e s ?

hylarius copypaste from OCR pdf

## comments in COBOL

MARCOTTY: F r o m Paul Abrahams: " W h a t thought was given to c o m m e n t s in C O B O L ?
Why a r e n ' t they allowed in the Data Division?"
SAMMET: We didn't think they were needed in the Data Division.

## Math operators in COBOL

Did the COBOL committee seriously believe that the users could not handle grade
school operators of `+`, `-` , `x`, `/`?

## Annette Vee argues for literacy contingencies in her coding literacy

Importantly, Vee indicates that her aim is not to establish what coding literacy should look like; on the contrary, her premise is precisely that ‘prescriptions for literacy are always contingent’ (10) because literacies are always contingent. The framework of literacy helps her mobilize the extensive knowledge embedded in the study of literacy in order to provide a socially and historically informed perspective on coding as a literacy practice.

Federica Frabetti. “Review of Annette Vee, Coding Literacy.” Computational Culture 8 (July 2021). http://computationalculture.net/review-of-annette-vee-coding-literacy/.

## Parenting is programming, Ian Cheng

Cheng: I wrote “parenting is programming” in the script without any cynicism. I actually believe that is true. Parents quite literally program children, and have an unavoidable influence on their entire life script, their anxiety or their comfort, their sense of trust and mistrust toward the world. But the critical thing most parents forget is that their role as parents, and the stuff they “programmed” into their kids, is scaffolding to get through the early years. But scaffolding is meant to fall away, and most parents don’t know when to let go of their kids, to stop parenting them, to let go of their role. And there isn’t much cultural guidance to help with modeling this type of letting go. In fact, many cultures still require an unhealthy attachment and debt to be constantly connected to one’s parents. I personally have anxiety about not being able to let go when my kids grow up, so I think about this a lot. I guess to answer your question, future education should include modeling how to exit; how to detach from one’s parents, one’s teachers, one’s coddling institutions, and go out and try things and fail and have adventures. Get some scars. Schools should have built-in “anti-school” prep, as counterproductive as that might sound to the big business of schools.

## Again about diataxis

His framework is built at the intersection of two axis: one goes from theoretical to practical knowledges, while the other from study to work. Here _study_ could be read as _learning_ or _understanding_, while _working_ means getting things done. Another powerful couple of synonims is _receiving_ and _giving_: by combining the renamed axis we can get a glimpse of the flow of knoweldge involved in documentation.

This could be a nice image to rework the diataxis:

```
practice    receiving   tutorial
theory      receiving   explanation
practice    giving      how to
theory      giving      reference
```

The structure of diataxis is useful to navigate through the different needs of a reader, or through different readers at all.

## brew on old mac

Warning: You are using macOS 10.15.
We (and Apple) do not provide support for this old version.
It is expected behaviour that some formulae will fail to build in this old version.
It is expected behaviour that Homebrew will be buggy and slow.
Do not create any issues about this on Homebrew's GitHub repositories.
Do not create any issues even if you think this message is unrelated.
Any opened issues will be immediately closed without response.
Do not ask for help from Homebrew or its maintainers on social media.
You may ask for help in Homebrew's discussions but are unlikely to receive a response.
Try to figure out the problem yourself and submit a fix as a pull request.
We will review it but may or may not accept it.
